import axios from "../../utils/axios";

export function getUdiInfos(query) {
    return axios({
        url: "/udi/udirel/filterUdi",
        method: "get",
        params: query
    });
}


export function deletetUdiInfos(query) {
    return axios({
        url: "/udi/udirel/deleteById",
        method: "post",
        data: query
    });
}



export function updatetUdiInfos(query) {
    return axios({
        url: "/udi/udirel/update",
        method: "post",
        data: query
    });
}

export function combineUdi(query) {
    return axios({
        url: "/udi/udirel/revleance",
        method: "post",
        data: query
    });
}

export function modifyRel(query) {
    return axios({
        url: "/udi/udirel/modifyRel",
        method: "post",
        data: query
    });
}
export function addErp(query) {
    return axios({
        url: "/udi/udirel/addErp",
        method: "post",
        data: query
    });
}


export function updateErpProduct(query) {
    return axios({
        url: "/udi/udirel/updateErp",
        method: "get",
        params: query
    });
}

export function uploadSmp(query) {
    return axios({
        url: "/udiwms/smp/udirl/upload",
        method: "post",
        data: query
    });
}





